<%@ page language="java"
    contentType="text/html; charset=utf-8"
    pageEncoding="utf-8"
    import="org.apache.geronimo.samples.phone.client.*"
%>

<%!
    /* Name of the reference to the Search Phones service described in the web.xml file */
    private final static String SERVICE_REF_NAME = "java:comp/env/service/SearchPhones";

    /* Used for making hints to users */
    private final static org.apache.geronimo.samples.phone.server.PersonPhone[] AVAILABLE_PHONES =
        org.apache.geronimo.samples.phone.server.SearchPhonesServer.AVAILABLE_PHONES;

    /* Returns the endpoint for calling methods of the web service */
    public SearchPhonesPortType getService() throws Exception {
        javax.naming.InitialContext ctx = new javax.naming.InitialContext();
        SearchPhonesService service = (SearchPhonesService)ctx.lookup(SERVICE_REF_NAME);
        return service.getSearchPhonesService();
    }
%>

<%  String name = request.getParameter("name"); %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
           "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">     
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Phone Book Application</title>
    <link rel="stylesheet" href="css/main.css" type="text/css">
</head>

<body>
	<br>
	<div class="Content">
	<table>
		<tr>
			<td class="Title"><strong>Phone Book Application</strong></td>
		</tr>
		<tr></tr>
		<tr>
			<td class="Body">
				<p>
					This is a Phone Book Web Application. 
					Please enter the name of the person whose phone number you wish to find.
					<br>
				</p>
			</td>
		</tr>
		<tr>
		<td class="Body">
	    <h3>Search criterion</h3>
	    <form action="#">
	        <table>
	        <tr>
	            <td>Person name:</td>
	            <td><input type="text" name="name" value="<%=(name != null ? name : "")%>"/></td>
	        </tr>
	        <tr>
	            <td colspan="2"><input type="submit" value="Search"/></td>
	        </tr>
	        <tr>
	            <td colspan="2">
	                <br/>
	                Hint: the following names are hardcoded:<br/>
	
	                <% for (int i = 0; i < AVAILABLE_PHONES.length; i++) { %>
	                    <%=AVAILABLE_PHONES[i].getPersonName()%><%=(i < AVAILABLE_PHONES.length - 1 ? ", " : " ")%>
	                <% } %>
	  
	            </td>
	        </tr>
	        </table>
	    </form>
	
	<%  if (name != null && !name.equals("")) {
	        PersonPhone[] foundPhones = getService().search(name); %>
	
	        <br/>
	        <h3>Search results</h3>
	        <table >
	
	            <% if (foundPhones == null || foundPhones.length == 0) { %>
	                <tr><td>No persons which name starts with the specified criterion were found.</td></tr>
	
	            <% } else { %>
	                <tr><td colspan="2">The following persons and phones were found:</td></tr>
	
	                <% for (int i = 0; i < foundPhones.length; i++) { %>
	                <tr>
	                    <td><%=foundPhones[i].getPersonName()%></td>
	                    <td><%=foundPhones[i].getPhoneNumber()%></td>
	                </tr>
	                <% } %>
	
	            <% } %>
	
	        </table>
	
	<%  } %>
	</td>
	</tr>
	</table>
</div>
</body>

</html>
